%define upstream_name    Unicode-Normalize
%define upstream_version 1.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Unicode Normalization Forms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(SelectSaver)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel

%description
Parameters:

'$string' is used as a string under character semantics (see
_perlunicode_).

'$code_point' should be an unsigned integer representing a Unicode code
point.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Tue Nov 28 2023 tv <tv> 1.260.0-8.mga10
+ Revision: 2010538
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.260.0-7.mga9
+ Revision: 1862584
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.260.0-6.mga9
+ Revision: 1796139
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.260.0-5.mga9
+ Revision: 1727209
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.260.0-4.mga8
+ Revision: 1595293
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.260.0-3.mga8
+ Revision: 1530146
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.260.0-2.mga8
+ Revision: 1433936
- rebuild for perl 5.30

* Thu Dec 20 2018 tv <tv> 1.260.0-1.mga7
+ Revision: 1343462
- update to 1.26

* Fri Sep 21 2018 umeabot <umeabot> 1.250.0-6.mga7
+ Revision: 1293917
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.250.0-5.mga7
+ Revision: 1250364
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.250.0-4.mga7
+ Revision: 1167225
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.250.0-3.mga7
+ Revision: 1149421
- Rebuild for perl ABI changes

* Wed Jul 26 2017 sander85 <sander85> 1.250.0-2.mga7
+ Revision: 1131095
- Fix build with perl 5.26 (patch from Fedora)
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun May 08 2016 shlomif <shlomif> 1.250.0-1.mga6
+ Revision: 1010881
- New version 1.25

* Sat Feb 20 2016 umeabot <umeabot> 1.210.0-2.mga6
+ Revision: 971342
- Mageia 6 Mass Rebuild
+ tv <tv>
- kill self obsoletes

* Wed Oct 14 2015 sander85 <sander85> 1.210.0-1.mga6
+ Revision: 891604
- update to 1.21

* Mon Jul 13 2015 sander85 <sander85> 1.190.0-1.mga6
+ Revision: 853590
- update to 1.19

* Wed Oct 15 2014 umeabot <umeabot> 1.180.0-4.mga5
+ Revision: 743082
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.180.0-3.mga5
+ Revision: 686793
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 1.180.0-2.mga5
+ Revision: 634037
- perl 5.20 rebuild

* Tue May 27 2014 sander85 <sander85> 1.180.0-1.mga5
+ Revision: 627055
- update to 1.18

* Mon Feb 10 2014 jquelin <jquelin> 1.170.0-3.mga5
+ Revision: 588089
- rebuild after perl 5.18.2

* Mon Oct 21 2013 umeabot <umeabot> 1.170.0-2.mga4
+ Revision: 539289
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 1.170.0-1.mga4
+ Revision: 491768
- update to 1.17

* Wed May 29 2013 jquelin <jquelin> 1.160.0-5.mga4
+ Revision: 432330
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.160.0-4.mga4
+ Revision: 432193
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.160.0-3.mga3
+ Revision: 405585
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 374617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.160.0-1.mga3
+ Revision: 315586
- update to 1.16

* Mon Oct 01 2012 jquelin <jquelin> 1.150.0-1.mga3
+ Revision: 301471
- imported package perl-Unicode-Normalize

